node('master') {
    stage('SCM operation'){
        checkout scm
   }
}
node('master') {
    stage('Operation without SCM'){
        withCredentials([string(credentialsId: 'a', variable: 'SECRET')]) {
            sh 'echo "$SECRET"'
        }
    }
}
